/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../render/look.h"
#include "../../debug/log.h"
#include "action.h"
#include "ai.h"
#include "shuffle.h"
#include "deal.h"

pokeraction_t actionRound();

void actionRoundInit(int32_t index, void *data);
void actionRoundUpdate(int32_t index, void *data);
void actionRoundDispose(int32_t index, void *data);

void actionRoundAfterShuffle();